Skip to main content
GET
/
organizations
/
{organizationId}
/
allowed-ip-address-ranges
List allowed IP address ranges
curl --request GET \
  --url https://api.astronomer.io/platform/v1beta1/organizations/{organizationId}/allowed-ip-address-ranges \
  --header 'Authorization: Bearer <token>'
{
  "allowedIpAddressRanges": [
    {
      "createdAt": "2022-11-22T04:37:12Z",
      "id": "clm9sq6s0000008kz7uvl7yz7",
      "ipAddressRange": "1.1.1.1/32",
      "organizationId": "clyt27999000008me3yp39wcp",
      "updatedAt": "2022-11-22T04:37:12Z",
      "createdBy": {
        "id": "clm8qv74h000008mlf08scq7k",
        "apiTokenName": "my-token",
        "avatarUrl": "https://avatar.url",
        "fullName": "Jane Doe",
        "subjectType": "USER",
        "username": "user1@company.com"
      },
      "updatedBy": {
        "id": "clm8qv74h000008mlf08scq7k",
        "apiTokenName": "my-token",
        "avatarUrl": "https://avatar.url",
        "fullName": "Jane Doe",
        "subjectType": "USER",
        "username": "user1@company.com"
      }
    }
  ],
  "limit": 10,
  "offset": 0,
  "totalCount": 10
}

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

The ID of the Organization that you want to retrieve the list of IP addresses for.

Query Parameters

offset
integer
default:0

The number of results to skip before returning values.

Required range: x >= 0
limit
integer
default:20

The maximum number of results to return.

Required range: x >= 0
sorts
enum<string>[]

A list of field names to sort by, and whether to show results as ascending or descending. Formatted as <fieldName>:asc or <fieldName>:desc.

Available options:
ipAddress:asc,
ipAddress:desc,
createdAt:asc,
createdAt:desc,
updatedAt:asc,
updatedAt:desc

Response

OK

allowedIpAddressRanges
object[]
required
limit
integer
required

The maximum number of allowed IP address ranges in one page.

Example:

10

offset
integer
required

The offset of the current page of allowed IP address ranges.

Example:

0

totalCount
integer
required

The total number of allowed IP address ranges.

Example:

10